/* SCCS  %W%---%E%--%U% */
//
//	nsl_stim_matrix.h
//

class nsl_stim_matrix : public nsl_stim
{
protected:
//        int type;               	// 0 - (xc,yc),(dx,dy)
                                   	// 1 - (x0,y0),(dx,dy)    
	float x0,y0;			// stim original corner location
	float tx0,ty0;			// stim current corner location
	float xc,yc;			// stim original center location
	float txc,tyc;			// stim current center location
	float dx,dy; 			// stim size
	float vx,vy; 			// stim speed
public:

	nsl_stim_matrix(nsl_input_matrix*);
 	~nsl_stim_matrix();

// set
 	void	set_x0(float i) { x0 = i; }
	void	set_y0(float i) { y0 = i; }
	void	set_tx0(float i) { tx0 = i; }
	void	set_ty0(float i) { ty0 = i; }
	void	set_xc(float i) { xc = i; }
	void	set_yc(float i) { yc = i; }
	void	set_txc(float i) { txc = i; }
	void	set_tyc(float i) { tyc = i; }
	void	set_dx(float s) { dx = s; }
	void	set_dy(float s) { dy = s; }
	void	set_vx(float s) { vx = s; }
	void	set_vy(float s) { vy = s; }

// get
 	float	get_x0() { return x0; }
	float	get_y0() { return y0; }
	float	get_tx0() { return tx0; }
	float	get_ty0() { return ty0; }
	float	get_xc() { return xc; }
	float	get_yc() { return yc; }
	float	get_txc() { return txc; }
	float	get_tyc() { return tyc; }
	float	get_dx() { return dx; }
	float	get_dy() { return dy; }
	float	get_vx() { return vx; }
	float	get_vy() { return vy; }

	virtual int run();
	virtual int proc();

	virtual int print(ostream&) const;
	int print_stim_matrix(ostream&) const;
	virtual int print_status(ostream&) const;
	int print_stim_matrix_status(ostream&) const;
};


