/* SCCS  %W%---%E%--%U% */
//
//	xnsl_spatial_graph_3_data.C
//

# include "nsl_all_kernel_include.h"
# include "xnsl_all_xkernel_include.h"

xnsl_spatial_graph_3_data::xnsl_spatial_graph_3_data(xnsl_display_canvas* win,
	nsl_data* m) : xnsl_spatial_graph_3(win)
{
        set_type("spatial_graph_3_data");

	if (m != NULL)
	{
		_layer = m;
		_layer0 = m;
	}
//	else
//		cmd_error("xnsl_spatial_graph_3_dat: NULL layer");
}
xnsl_spatial_graph_3_data::~xnsl_spatial_graph_3_data()
{
}

xnsl_widget * xnsl_spatial_graph_3_data::make_widget()
{
        return new xnsl_spatial_graph_3_data((xnsl_display_canvas*) m_parent,
		(nsl_data*) _layer);
}
int xnsl_spatial_graph_3_data::display()
{
	set_env("",_X0,_Y0,_width,_height,_wx0,_wy0,_wx1,_wy1,_wxs,_wys);
 
	return 1;
}
int xnsl_spatial_graph_3_data::display_spatial_graph_3(
	int wx0,int wy0,int wx1,int wy1,
	num_type wymin, num_type wymax) 
{
	cmd_error("xnsl_spatial_graph_3_dat: CANNOT display data in 3D");
	return 1;
}

int xnsl_spatial_graph_3_data::read_from_database()
{
//	parent_window->set_win_sector(0,0,0,0,1,1); // update win sector
	xnsl_spatial_graph_3::read_from_database(); // read in new win sector

	return 1;
}
int xnsl_spatial_graph_3_data::write_to_database()
{
	xnsl_spatial_graph_3::write_to_database();

	return 1;
}
int xnsl_spatial_graph_3_data::print(ostream& out) const
{
	xnsl_spatial_graph_3::print(out);

	return 1;
}

