/* SCCS  %W%---%E%--%U% */
//
//	nsl_int_data.h
//

class nsl_int_data : public nsl_data_layer
{
protected:
	int v;
public:
		nsl_int_data(const int=0,int=1);			
		nsl_int_data(const char*,const int=0,int=0,int=1); 
		nsl_int_data(const nsl_int_data&,int=1);

		~nsl_int_data();

	int	init_int_data();

// get value
	int get_data()  const { return v; }
	int get_value() const { return v; }
	int& elem() 	{ return v; }

// set value
	int	set_value(const int);
	int	set_value(const float);
	int	set_value(const double);
// assignment
	int 	operator=(const nsl_int_data&);
	int 	operator=(const int);
	int 	operator=(const float);
	int 	operator=(const double);

// print
	virtual int	print(ostream&) const;
	int	print_int_data(ostream&) const;
	virtual int	print_status(ostream&) const;
	int	print_int_data_status(ostream&) const;

	int 	reset_int_data(nsl_buffer* = 0);
	virtual int 	reset(nsl_buffer* = 0);

	int 	write_int_data(nsl_buffer&);
	virtual int 	write(nsl_buffer&);
	int 	read_int_data(nsl_buffer&);
	virtual int 	read(nsl_buffer&);
};
