/* SCCS  %W%---%E%--%U% */
//
//	nsl_num_2.h
//

//template<class NslNumType>
class nsl_num_2 : public nsl_matrix_layer
{
protected:
	NslNumType *v; 
public:
		nsl_num_2(const int = 0,const int = 0,int=0,int=0,int=1);
		nsl_num_2(const char*,nsl_model* = 0,const int = 0,
			const int = 0,int=0,int=1,int=1);
		nsl_num_2(const nsl_num_2/*NslNumType*/&,int=0,int=0,int=1);

		~nsl_num_2();

	int	init_num_matrix(const int = 0,const int = 0);
	int	alloc_mem(const int,const int);

// get value
	NslNumType*	get_v() const { return v; }
	NslNumType*	operator[](const int) const;
	NslNumType&	elem(const int,const int);

// set value
	void	set_value(const int,const int,const NslNumType);

// assignment
	nsl_num_2/*NslNumType*/& 	
		operator=(const nsl_num_2/*NslNumType*/&);
	nsl_num_2/*NslNumType*/& 	
		operator=(const nsl_num_0/*NslNumType*/&);
	nsl_num_2/*NslNumType*/& 	operator=(const NslNumType);

        NslNumType        max();
        NslNumType        min();

        NslNumType        max(int*,int*); // return index
        NslNumType        min(int*,int*);


	// sum
	NslNumType	sum();

// also functions
	nsl_num_1/*NslNumType*/ reduce_row();
	nsl_num_1/*NslNumType*/ reduce_col();

	nsl_num_2/*NslNumType*/ get_sector(const int,const int,const int,
		const int) const;
	nsl_num_2/*NslNumType*/ set_sector(const nsl_num_2/*NslNumType*/&,
		const int,const int);
	nsl_num_2/*NslNumType*/ put_sector(const nsl_num_2/*NslNumType*/&,
		const int,const int);

	nsl_num_1/*NslNumType*/	get_row(const int) const;
	nsl_num_1/*NslNumType*/	get_col(const int) const;
	nsl_num_2/*NslNumType*/	set_row(const nsl_num_1/*NslNumType*/&,
		const int);
	nsl_num_2/*NslNumType*/	set_col(const nsl_num_1/*NslNumType*/&,
		const int);

// print

	virtual int	print(ostream&) const;
	int	print_num_matrix(ostream&) const;
	int	print_num_matrix(ostream&,const int,const int,const int,
		const int) const;
	virtual int	print_status(ostream&) const;
	int	print_num_matrix_status(ostream&) const;

	int 	reset_num_matrix(nsl_buffer* = 0);
	virtual int 	reset(nsl_buffer* = 0);

	int 	write_num_matrix(nsl_buffer&);
	virtual int 	write(nsl_buffer&);
	int 	read_num_matrix(nsl_buffer&);
	virtual int 	read(nsl_buffer&);
};

