/* SCCS  @(#)xnsl_tcltk_push_button.C	1.1---95/08/13--21:01:53 */
//////////////////////////////////////////////////////////////////////////
//
//  xnsl_tcltk_push_button.C: Class that Creates the tcltk cascade 
//                               button widget.
//             
//////////////////////////////////////////////////////////////////////////

#include "nsl_all_kernel_include.h"
#include "xnsl_all_xkernel_include.h"
#include "xnsl_tcltk_include.h"

xnsl_tcltk_push_button::xnsl_tcltk_push_button () : xnsl_tcltk_panel_item()
{
	set_type("push_button");
}  // End function xnsl_tcltk_push_button

xnsl_tcltk_push_button::~xnsl_tcltk_push_button ()
{
   // Nothing yet.

}  // End function ~xnsl_tcltk_push_button

xnsl_widget*  xnsl_tcltk_push_button::create_widget(const char *wname, 
	xnsl_widget    *pxnsl_widget,int,int,int,int,int,int,
	int,int,int,int,const char* label,const char* message)
{
   return (this);
}   // End function create_widget

void xnsl_tcltk_push_button::set_env (const 	char	*wname,
	int,int,int,int,int,int,int,int,int,int,
	const char* label,const char* message)
{
	strcpy(_wname,wname);
	strcpy(_wlabel,label);
}  // End of function set_push_button_env

xnsl_widget *xnsl_tcltk_push_button::make_widget()
{
	return new xnsl_tcltk_push_button();
}

// End of file.
